Debian Bug report logs - #347989
lynx-cur: lynx -source .: ugly HTML

version graph

Package: lynx-cur; Maintainer for lynx-cur is Atsuhito KOHDA <kohda@debian.org>; Source for lynx-cur is src:lynx-cur.

Reported by: Dan Jacobson <jidanni@jidanni.org>

Date: Fri, 13 Jan 2006 21:48:04 UTC

Severity: wishlist

Found in version lynx-cur/2.8.6-17

Fixed in version lynx-cur/2.8.6-19

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#347989; Package lynx-cur. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx-cur: lynx -source .: ugly HTML
Date: Tue, 10 Jan 2006 11:45:15 +0800
Package: lynx-cur
Version: 2.8.6-17
Severity: wishlist

Today we look at
$ lynx -source .|validate
*** Errors: ***
Error at line 1, character 1:  missing document type declaration; assuming
        HTML 4.01 Transitional

No <HTML> tag too, bad?

<H2>Current directory is /tmp</H2>
<H2></H2> <--why empty H2?
<PRE>    drwxr-xr-x   23 root     root        1024 Dec 21 02:39 <A
HREF="tmp/..">../</A></PRE>
<PRE>... <-- why wasted opening and closing PRE on each line?!

What's worse I suppose is
$ lynx -source . > x.html
$ lynx x.html
None of the links can be accessed.
$ lynx $PWD/x.html
$ p=$PWD/x.html;cd ..;lynx $p
Still no help
$ mv $p .
$ lynx x.html 
OK, finally.

OK, this works better than ".":
$ lynx -source a_directory > p.htm
$ lynx p.htm



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#347989; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #8 received at 347989@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Dan Jacobson <jidanni@jidanni.org>, 347989@bugs.debian.org
Subject: Re: Bug#347989: lynx-cur: lynx -source .: ugly HTML
Date: Sat, 14 Jan 2006 15:12:57 -0500
[Message part 1 (text/plain, inline)]
On Fri, Jan 13, 2006 at 10:50:06PM +0100, Dan Jacobson wrote:
> Package: lynx-cur
> Version: 2.8.6-17
> Severity: wishlist
> 
> Today we look at
> $ lynx -source .|validate
> *** Errors: ***
> Error at line 1, character 1:  missing document type declaration; assuming
>         HTML 4.01 Transitional
> 
> No <HTML> tag too, bad?

no, it's the DOCTYPE that's missing.  Just for tidiness, I did add DOCTYPE
to some of the internal pages, but not others (probably those where the
file is normally written to disk - I see that the options menu has a
DOCTYPE).  The file browser is in memory (when source caching is enabled).
Lynx doesn't actually _use_ the picture that you see in the source view,
since it's using the parsed data that it uses to make the picture.

> <H2>Current directory is /tmp</H2>
> <H2></H2> <--why empty H2?
> <PRE>    drwxr-xr-x   23 root     root        1024 Dec 21 02:39 <A
> HREF="tmp/..">../</A></PRE>
> <PRE>... <-- why wasted opening and closing PRE on each line?!

It's generated (and not as bad as some generated text ;-)
 
> What's worse I suppose is
> $ lynx -source . > x.html
> $ lynx x.html
> None of the links can be accessed.

thanks - I hadn't noticed.  Actually it hadn't occurred to me that I could
use -source on an internal page like that, so I never ran that check.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#347989; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #13 received at 347989@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Dan Jacobson <jidanni@jidanni.org>, 347989@bugs.debian.org
Subject: Re: Bug#347989: lynx-cur: lynx -source .: ugly HTML
Date: Sun, 22 Jan 2006 11:25:15 -0500
[Message part 1 (text/plain, inline)]
On Fri, Jan 13, 2006 at 10:50:06PM +0100, Dan Jacobson wrote:
> Package: lynx-cur
> Version: 2.8.6-17
> Severity: wishlist
...
> What's worse I suppose is
> $ lynx -source . > x.html
> $ lynx x.html
> None of the links can be accessed.

This is harder (it's doing something which is "correct", but not what you
expect, and changing it would be more work than using it as lynx accepts it).

lynx is generating the href's as if it were from the parent directory.  That's
because there's no trailing slash on the URL.  If you add a trailing slash, it
will generate the page with the href's relative to ".".

Try

  $ lynx -source ./ > x.html

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#347989; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #18 received at 347989@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: 347989@bugs.debian.org
Subject: Re: Bug#347989: lynx-cur: lynx -source .: ugly HTML
Date: Tue, 24 Jan 2006 05:08:47 +0800
T> lynx is generating the href's as if it were from the parent
T> directory. That's because there's no trailing slash on the URL.

OK, sure hope this is documented in the man page or
/usr/share/doc/lynx-cur. If one knew this, he wouldn't need
$ tree -H .
as lynx can also make HTML dir listings.



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#347989; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #23 received at 347989@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Dan Jacobson <jidanni@jidanni.org>, 347989@bugs.debian.org
Subject: Re: Bug#347989: lynx-cur: lynx -source .: ugly HTML
Date: Tue, 24 Jan 2006 06:36:07 -0500
[Message part 1 (text/plain, inline)]
On Tue, Jan 24, 2006 at 01:10:12AM +0100, Dan Jacobson wrote:
> T> lynx is generating the href's as if it were from the parent
> T> directory. That's because there's no trailing slash on the URL.
> 
> OK, sure hope this is documented in the man page or
> /usr/share/doc/lynx-cur. If one knew this, he wouldn't need
> $ tree -H .
> as lynx can also make HTML dir listings.

I'll add a note to the manpage and/or the online help.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dan Jacobson <jidanni@jidanni.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 347989-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 347989-close@bugs.debian.org
Subject: Bug#347989: fixed in lynx-cur 2.8.6-19
Date: Thu, 26 Jan 2006 17:32:12 -0800
Source: lynx-cur
Source-Version: 2.8.6-19

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.6-19_all.deb
  to pool/main/l/lynx-cur/lynx-cur-wrapper_2.8.6-19_all.deb
lynx-cur_2.8.6-19.diff.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.6-19.diff.gz
lynx-cur_2.8.6-19.dsc
  to pool/main/l/lynx-cur/lynx-cur_2.8.6-19.dsc
lynx-cur_2.8.6-19_i386.deb
  to pool/main/l/lynx-cur/lynx-cur_2.8.6-19_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 347989@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 27 Jan 2006 08:10:54 +0900
Source: lynx-cur
Binary: lynx-cur-wrapper lynx-cur
Architecture: source i386 all
Version: 2.8.6-19
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 284677 291716 347989
Changes: 
 lynx-cur (2.8.6-19) unstable; urgency=low
 .
   * This is of 2.8.6dev.17
   - modify parsing of filename from Content-Disposition so that the name is not
   truncated on embedded whitespace.  (Closes: #291716)
   - fixes to source-view of ftp:// and file:// URLs, i.e., eliminate redundant
   PRE's, add DOCTYPE and meta tags  (Closes: #347989)
   - Upstream author taught us that a bug was fixed as a side-effect of
   2.8.6dev.14 (modify initialization so that "cat options.txt | lynx - "
   will allow interactive use).  (Closes: #284677)
   * Oops, I mistyped dev version of a patch in 2.8.6-18.  Fixed.
Files: 
 a11c9e6329a45f723d54a094628a50c9 655 web extra lynx-cur_2.8.6-19.dsc
 465bfc99dcb7231ab721e2ff30bd5cac 3211842 web extra lynx-cur_2.8.6-19.diff.gz
 dc839171b9982fe73b4f7b9a2d5057d6 13022 web extra lynx-cur-wrapper_2.8.6-19_all.deb
 5207a2783379ff6b78ea152f04090ff3 1949278 web extra lynx-cur_2.8.6-19_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFD2WXk1IXdL1v6kOwRAnOUAJ4so4nHmB53SSAo9TaQhRFTVuea1wCeP2gL
j4ISWhkQn2AQLl807KL8i+w=
=vcXg
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 00:56:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:47:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.